﻿@model PostViewModel
@{
    var categories = (MultiSelectList)ViewBag.Categories;
}

@Html.Style(@<link href="~/Plugins/jquery-ui-1.12.1/jquery-ui.min.css" rel="stylesheet" />)
@Html.Style(@<link href="~/Plugins/select2/dist/css/select2.min.css" rel="stylesheet" />)
@Html.Style(@<link href="~/Plugins/jasny-bootstrap/css/jasny-bootstrap.min.css" rel="stylesheet" />)
@Html.Style(@<link href="~/Plugins/Tagedit/css/jquery.tagedit.css" rel="stylesheet" />)
@Html.Style(@<link href="~/Plugins/jQuery-Tags-Input/dist/jquery.tagsinput.min.css" rel="stylesheet" />)
@Html.Style(@<link href="~/Content/css/Pages/Blog/AddOrEdit.css" rel="stylesheet" />)

<div class="row">
    <div class="col-12">
        <div class="card-box">
            <h4 class="m-t-0 m-b-20 header-title"><b>@ViewBag.Title</b></h4>
            @Html.ValidationSummary(true, "", new { @class = "text-danger" })
            <div class="form-horizontal">
                <div class="box-body">
                    <div class="row">
                        <div class="col-12">
                            @(Html.LocalizedEditor<PostViewModel, PostLocalizedViewModel>("topic-info-localized",
                                            @<div class="div_tab row">
                                                <div class="col-5">
                                                    @Html.BsTextBoxFor(model => model.Locales[item].Title, "fa fa-h-square", dir: ComponentDirection.RightToLeft, lable_col: 3, editor_col: 9, htmlAttribute: new { @class = "seoValueNotifier" })
                                                    @Html.BsTextBoxFor(model => model.Locales[item].Url, "fa fa-internet-explorer", dir: ComponentDirection.RightToLeft, lable_col: 3, editor_col: 9, htmlAttribute: new { @class = "seoValueNotifier" })
                                                    @Html.BsTextBoxFor(model => model.Locales[item].FocusKeyword, "fa fa-key", dir: ComponentDirection.RightToLeft, lable_col: 3, editor_col: 9, htmlAttribute: new { @class = "seoValueNotifier" })
                                                    @Html.BsTextBoxFor(model => model.Locales[item].MetaKeywords, "fa fa-key", dir: ComponentDirection.RightToLeft, htmlAttribute: new { @class = "seoValueNotifier" })
                                                    @Html.BsTextAreaFor(model => model.Locales[item].MetaDescription, "fa fa-file-text-o", dir: ComponentDirection.RightToLeft, htmlAttribute: new { @class = "seoValueNotifier" })
                                                    @Html.BsTextAreaFor(model => model.Locales[item].Summary, "fa fa-file-text-o", dir: ComponentDirection.RightToLeft, lable_col: 3, editor_col: 9)
                                                </div>
                                                <div class="col-7" style="padding-left: 0;">
                                                    <div class="seoLoading"></div>
                                                    <div class="seoResult">
                                                        @Html.Action("CheckSEO", new PostViewModel
                                            {
                                                Locales = new[] { Model.Locales[item] }
                                            })
                                                    </div>
                                                </div>
                                                <div style="display:none;" id="div_@Html.IdFor(model => model.Locales[item].Text)">@Html.Raw(Model.Locales[item].Text)</div>
                                                @Html.CKEditorFor(model => model.Locales[item].Text, Url.Action("HtmlEditor", "Media", routeValues: new { id = Model.Id }))
                                                @Html.HiddenFor(model => model.Locales[item].LanguageId)
                                                @Html.HiddenFor(model => model.Locales[item].OriginalUrl)
                                            </div>
,
            @<div class="div_tab row">
                <div class="col-6">
                    @Html.BsTextBoxFor(model => model.Title, "fa fa-h-square", dir: ComponentDirection.RightToLeft, lable_col: 3, editor_col: 9, htmlAttribute: new { @class = "seoValueNotifier" })
                    @Html.BsTextBoxFor(model => model.Url, "fa fa-internet-explorer", dir: ComponentDirection.RightToLeft, lable_col: 3, editor_col: 9, htmlAttribute: new { @class = "seoValueNotifier" })
                    @Html.BsTextBoxFor(model => model.FocusKeyword, "fa fa-key", dir: ComponentDirection.RightToLeft, lable_col: 3, editor_col: 9, htmlAttribute: new { @class = "seoValueNotifier" })
                    @Html.BsTextBoxFor(model => model.MetaKeywords, "fa fa-key", dir: ComponentDirection.RightToLeft, lable_col: 3, editor_col: 9, htmlAttribute: new { @class = "seoValueNotifier" })
                    @Html.BsTextAreaFor(model => model.MetaDescription, "fa fa-file-text-o", dir: ComponentDirection.RightToLeft, lable_col: 3, editor_col: 9, htmlAttribute: new { @class = "seoValueNotifier" })
                    @Html.BsTextAreaFor(model => model.Summary, "fa fa-file-text-o", dir: ComponentDirection.RightToLeft, lable_col: 3, editor_col: 9)
                </div>
                <div class="col-6">
                    <div class="seoLoading"></div>
                    <div class="seoResult">
                        @*@Html.Action("CheckSEO", new PostViewModel
                            {
                                Title = Model.Title,
                                Url = Model.Url,
                                FocusKeyword = Model.FocusKeyword,
                                MetaDescription = Model.MetaDescription,
                                MetaKeywords = Model.MetaKeywords,
                                Text = Model.Text,
                            })*@
                    </div>
                </div>
                <div style="display:none;" id="div_@Html.IdFor(model => model.Text)">@Html.Raw(Model.Text)</div>
                @Html.CKEditorFor(model => model.Text, Url.Action("HtmlEditor", "Media", routeValues: new { id = Model.Id }))
                @Html.HiddenFor(model => model.OriginalUrl)
            </div>
))
                            @Html.BsCheckboxEditorFor(model => model.Enabled)
                            @Html.BsEditorFor(model => model.VisitCount, dir: ComponentDirection.RightToLeft)
                            @Html.BsDateTimePickerFor(model => model.PublishDate, true, null, ComponentDirection.RightToLeft, 2, 4)

                            <div class="form-group">
                                <label class="control-label col-2">
                                    @Html.DisplayNameFor(model => model.TagsList)
                                </label>
                                <div class="input-group col-4 ">
                                    <input type="text" name="tag[]" value="" id="tag" class="tag" />
                                    @foreach (var item in Model.TagsList)
                                    {
                                        <input type="text" name="tag[@(item.Key)-a]" value="@item.Value" class="tag" />
                                    }
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-2">
                                    @Html.DisplayNameFor(model => model.CategoriesId)
                                </label>
                                <div class="input-group no-feedback col-4 addOn">
                                    @Html.DropDownListFor(m => m.CategoriesId, categories, new { @class = "form-control", multiple = "multiple" })
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-2">انتخاب تصویر پست</label>
                                <div id="ImagePath_jasnyUpload" class="fileinput fileinput-new" data-provides="fileinput">
                                    <div class="fileinput-new thumbnail" style="width: 466px; height: 231px;">
                                        <img data-src="@Model.ImagePath" src="@Model.ImagePath">
                                    </div>
                                    <div class="fileinput-preview fileinput-exists thumbnail" style="max-width: 466px; max-height: 231px;"></div>
                                    <div>
                                        <span class="btn btn-secondary btn-file">
                                            <span class="fileinput-new">انتخاب تصویر</span>
                                            <span class="fileinput-exists">تغییر</span>
                                            <input id="ImagePath_jasnyFile" name="ImagePath_jasnyFile" type="file">
                                        </span>
                                        <a href="#" class="btn btn-default fileinput-exists" data-dismiss="fileinput">حذف</a>
                                    </div>
                                    @* TODO:ImagePath *@
                                    @Html.HiddenFor(m => m.ImagePath)
                                    @Html.HiddenFor(m => m.MediaId)
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <footer>
                <input id="submitBtn" type="submit" value="ثبت" class="btn btn-lg btn-success float-right" />
                @Html.ActionLink("بازگشت به لیست", "Index", null, new { @class = "float-left btn btn-secondary" })
            </footer>
        </div>
    </div>
</div>

@Html.Script(@<script type="text/javascript">
    var metaKeywordsInputElement = document.getElementById('@Html.FieldIdFor(model => model.MetaKeywords)');
    var selectedCatIds = @Html.Raw(Json.Encode(Model.CategoriesId));
    function SuggestUrl(url, idUrl, langId, IsChangeUrl) {
        if (url != "") {
            $.ajax({
                type: 'GET',
                url: '@Url.Action("SuggestUrl")',
                dataType: 'json',
                data: { url: url, id: @(ViewContext.RouteData.Values["id"] ?? 0) ,langId: langId, IsChangeUrl: IsChangeUrl },
                success: function (result) {
                    if (result != "") {
                        if (idUrl != '')
                            $('#' + idUrl).val(result);
                        else
                            $('#@Html.FieldIdFor(model=>model.Url)').val(result);
                    }
                    else {
                        if (idUrl != '')
                            $('#' + idUrl).val('');
                        else
                            $('#@Html.FieldIdFor(model=>model.Url)').val('');
                        alert("  تکراری  url  !خطا");
                    }
                }
            });
        }
    }
</script>)

@Html.Script(@<script src="~/Plugins/jquery-ui-1.12.1/jquery-ui.min.js"></script>)
@Html.Script(@<script src="~/Plugins/select2/dist/js/select2.min.js"></script>)
@Html.Script(@<script src="~/Plugins/jasny-bootstrap/js/jasny-bootstrap.js"></script>)
@Html.Script(@<script src="~/Plugins/Tagedit/js/jquery.autoGrowInput.js"></script>)
@Html.Script(@<script src="~/Plugins/Tagedit/js/jquery.tagedit.js"></script>)
@Html.Script(@<script src="~/Plugins/jQuery-Tags-Input/dist/jquery.tagsinput.min.js"></script>)
@Html.Script(@<script src="~/Scripts/Pages/Blog/AddOrEdit.js"></script>)
@Html.Script(@<script>
        $('#@Html.FieldIdFor(model => model.Title)').change(function () {
            //if ($('#@Html.FieldIdFor(model => model.Url)').val() == "")
                SuggestUrl($('#@Html.FieldIdFor(model => model.Title)').val(), '', 0, false);
        });
        $('#@Html.FieldIdFor(model => model.Url)').change(function () {
            SuggestUrl($('#@Html.FieldIdFor(model => model.Url)').val(), '', 0, true);
        });
        function SuggestUrl(url, idUrl, langId, IsChangeUrl) {
            if (url != "")
                $.ajax({
                    type: 'GET',
                    url: '@Url.Action("SuggestUrl")',
                    dataType: 'json',
                    data: { url: url, id: @(ViewContext.RouteData.Values["id"] ?? 0) ,langId: langId, IsChangeUrl: IsChangeUrl },
                    success: function (result) {
                        if (result != "") {
                            if (idUrl != '')
                                $('#' + idUrl).val(result);
                            else
                                $('#@Html.FieldIdFor(model=>model.Url)').val(result);
                        }
                        else {
                            if (idUrl != '')
                                $('#' + idUrl).val('');
                            else
                                $('#@Html.FieldIdFor(model=>model.Url)').val('');
                            alert("  تکراری  url  !خطا");
                        }
                    }
                });
        };
</script>)